CREATE TABLE OOBJ_NFSE_ENVIO
(
  -- GN10
  nfse_id                     BIGINT PRIMARY KEY,
  numeroRps                   BIGINT,
  serieRps                    INT,
  tipoRps                     INT,
  dataEmissao                 DATETIME,
  status                      INT,

  -- GN20
  dataCompetencia             DATE,
  regEspecialTrib             INT,
  optanteSN                   INT,
  incentivoFiscal             INT,

  -- GN21
  issRetido                   INT,
  respRetencao                INT,
  itemListaServico            INT,
  codCnae                     VARCHAR(7),
  codTribMun                  VARCHAR(20),
  codIbgeMunicipoPrestacao    VARCHAR(7),
  codPais                     VARCHAR(4),

  -- GN22
  natOpExigibilidadeISS       INT,
  municipioIncidencia         VARCHAR(7),
  numeroProcesso              VARCHAR(30),
  operacao                    INT,
  tributacao                  INT,
  desNatOpExigibilidadeISS    VARCHAR(2000),

  -- GN30
  discriminacaoAbrasf         VARCHAR(2000),

  -- GN40
  valorServicos               DOUBLE,
  valorDeducoes               DOUBLE,
  valorPis                    DOUBLE,
  valorCofins                 DOUBLE,
  valorInss                   DOUBLE,
  valorIr                     DOUBLE,
  valorCsll                   DOUBLE,
  outrasRetencoes             DOUBLE,

  -- GN41
  valorIss                    DOUBLE,
  aliquota                    DOUBLE,
  descIncondicionado          DOUBLE,
  descCondicionado            DOUBLE,
  valorIssRetido              DOUBLE,
  baseCalculo                 DOUBLE,
  valorLiquidoNfse            DOUBLE,

  -- GN60
  cpfCnpjPrestador            VARCHAR(14),
  inscricaoMunicipalPrestador VARCHAR(15),
  razaoSocialPrestador        VARCHAR(150),
  nomeFantasiaPrestador       VARCHAR(60),
  inscricaoEstadualPrestador  VARCHAR(20),

  -- GN61
  enderecoPrestador           VARCHAR(255),
  numeroEnderecoPrestador     VARCHAR(60),
  cplPrestador                VARCHAR(60),
  bairroPrestador             VARCHAR(60),

  -- GN62
  codMunicipioPrestador       VARCHAR(7),
  nomeMunicipioPrestador      VARCHAR(255),
  ufPrestador                 VARCHAR(2),
  cepPrestador                VARCHAR(8),
  tipoLogradouroPrestador     VARCHAR(60),

  -- GN63
  telefonePrestador           VARCHAR(20),
  emailPrestador              VARCHAR(80),

  -- GN64
  codIbgeMunicipioPrestacao   VARCHAR(7),
  nomeMunicipioPrestacao      VARCHAR(255),
  codPaisPrestacao            VARCHAR(4),
  ufPrestacao                 VARCHAR(2),

  -- GN70
  cpfCnpjTomador              VARCHAR(14),
  inscricaoMunicipalTomador   VARCHAR(15),
  razaoSocialTomador          VARCHAR(150),
  nomeFantasiaTomador         VARCHAR(60),
  inscricaoEstadualTomador    VARCHAR(20),

  -- GN71
  enderecoTomador             VARCHAR(255),
  numeroTomador               VARCHAR(60),
  cplTomador                  VARCHAR(60),
  bairroTomador               VARCHAR(60),

  -- GN72
  codMunicipioTomador         VARCHAR(7),
  nomeMunicipioTomador        VARCHAR(255),
  ufTomador                   VARCHAR(2),
  cepTomador                  VARCHAR(8),
  codPaisTomador              VARCHAR(4),
  nomePaisTomador             VARCHAR(60),

  -- GN73
  telefoneTomador             VARCHAR(20),
  emailTomador                VARCHAR(80)
);